Page MenuHomePhabricator

Pywikibot documentation build throws many warnings to console
Closed, ResolvedPublic

Description

Currently there are 2 warnings.

  • test command found but not installed in testenv (1): from testenv, not sure what does that mean, possibly Continuous-Integration-Config upstream?
  • failed to import module (1 missing _tkinter in userinterfaces/gui.py): prevents the doc for the file be generated at all, similar approach to script_wui.py could be used to solve this issue

Errors and warnings can be easily tested on:

  • reST
  • Sphinx
  • no online editor found for epytext yet, the two above should do

Note: Don't forget to process raw docstring to " -" and "::" before pasting to the editors above, see docs/conf.py for more details

Below is the somewhat last whole documentation build with all the remaining warnings:

1Started by user unknown or anonymous
2Running as SYSTEM
3Building remotely on integration-agent-docker-1006 (Docker blubber m4executor) in workspace /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish
4[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins4342030299653575027.sh
5+ mkdir -m 2777 -p cache
6[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins8922525460394673364.sh
7++ pwd
8+ exec docker run --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/cache:/cache --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.4 load
9++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
10++ /usr/bin/env
11Defined: CASTOR_NAMESPACE="pywikibot-core/master/pywikibot-core-tox-publish"
12Syncing...
13rsync: mkdir "/nonexistent" failed: Permission denied (13)
14rsync error: error in file IO (code 11) at main.c(675) [Receiver=3.1.2]
15
16Done
17[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins6786716717971115655.sh
18+ set -eux
19+ mkdir -m 2777 -p log
20[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins2705839118900497532.sh
21+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish:/workspace --entrypoint=/usr/bin/find --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/wikimedia-stretch:latest /workspace/log -mindepth 1 -delete
22++ /usr/bin/env
23++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
24[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins9055368772413028482.sh
25+ set -eux
26+ mkdir -m 2777 -p src
27[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins2368926957584650079.sh
28+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish:/workspace --entrypoint=/usr/bin/find --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/wikimedia-stretch:latest /workspace/src -mindepth 1 -delete
29++ /usr/bin/env
30++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
31[pywikibot-core-tox-publish] $ /bin/bash -eu /tmp/jenkins8371958688208938986.sh
32+ chmod 2777 src
33[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins6774194379946427304.sh
34++ pwd
35++ pwd
36++ pwd
37+ exec docker run --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/src:/src --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/cache:/cache --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/log:/log --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/tox:0.4.0 -e doc
38++ /usr/bin/env
39++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
40+ umask 002
41+ LOG_DIR=/log
42+ export LOG_DIR
43+ cd /src
44+ git init
45Initialized empty Git repository in /src/.git/
46+ git fetch --depth 2 --quiet git://contint2001.wikimedia.org/pywikibot/core refs/zuul/master/Z22dc808e0ba64b0fac912995c9d489a0
47+ git checkout --quiet FETCH_HEAD
48+ git submodule --quiet update --init --recursive
49+ trap capture_tox_logs EXIT
50+ tox_pid=89
51+ relay_signals SIGINT SIGTERM
52+ for signal in "$@"
53+ TOX_TESTENV_PASSENV='*'
54+ PY_COLORS=1
55+ tox -v -e doc
56+ trap 'kill -$signal $tox_pid; wait $tox_pid' SIGINT
57+ for signal in "$@"
58+ trap 'kill -$signal $tox_pid; wait $tox_pid' SIGTERM
59+ wait 89
60using tox.ini: /src/tox.ini (pid 89)
61using tox-3.10.0 from /usr/local/lib/python3.5/dist-packages/tox/__init__.py (pid 89)
62doc cannot reuse: no previous config /src/.tox/doc/.tox-config1
63doc create: /src/.tox/doc
64[99] /src/.tox$ /usr/bin/python3 -m virtualenv --no-download --python /usr/bin/python3 doc >doc/log/doc-0.log
65doc installdeps: -rrequirements.txt, -rdocs/requirements-py3.txt, rstcheck >= 3.3.1
66[107] /src$ /src/.tox/doc/bin/python -m pip install -rrequirements.txt -rdocs/requirements-py3.txt 'rstcheck >= 3.3.1' >.tox/doc/log/doc-1.log
67doc develop-inst: /src
68write config to /src/.tox/doc/.tox-config1 as '3d5f1192f2260a73414496ba8bcc52c5 /usr/bin/python3\n3.10.0 0 1 0\n00000000000000000000000000000000 -rrequirements.txt\n00000000000000000000000000000000 -rdocs/requirements-py3.txt\n00000000000000000000000000000000 rstcheck >= 3.3.1'
69[170] /src$ /src/.tox/doc/bin/python -m pip install --exists-action w -e . >.tox/doc/log/doc-2.log
70[190] /src$ /src/.tox/doc/bin/python -m pip freeze >.tox/doc/log/doc-3.log
71doc installed: alabaster==0.7.12,Babel==2.7.0,beautifulsoup4==4.8.1,certifi==2019.11.28,chardet==3.0.4,docutils==0.15.2,flickrapi==2.4.0,google==2.0.3,idna==2.8,imagesize==1.1.0,Jinja2==2.10.3,MarkupSafe==1.1.1,memento-client==0.6.1,mwoauth==0.3.7,mwparserfromhell==0.5.4,oauthlib==3.1.0,packaging==19.2,Pillow==6.2.1,pycountry==19.8.18,pycparser==2.19,pydot==1.4.1,Pygments==2.5.2,PyJWT==1.7.1,PyMySQL==0.9.3,pyparsing==2.4.5,python-stdnum==1.12,pytz==2019.3,# Editable Git install with no remote (pywikibot==3.0.20191205.dev0),-e /src,requests==2.22.0,requests-oauthlib==1.3.0,requests-toolbelt==0.9.1,rstcheck==3.3.1,six==1.13.0,snowballstemmer==2.0.0,soupsieve==1.9.5,Sphinx==2.2.2,sphinx-epytext==0.0.4,sphinxcontrib-applehelp==1.0.1,sphinxcontrib-devhelp==1.0.1,sphinxcontrib-htmlhelp==1.0.2,sphinxcontrib-jsmath==1.0.1,sphinxcontrib-qthelp==1.0.2,sphinxcontrib-serializinghtml==1.1.3,sseclient==0.0.22,urllib3==1.25.7
72doc run-test-pre: PYTHONHASHSEED='48113785'
73doc run-test: commands[0] | pip install -e '.[security]'
74[192] /src$ /src/.tox/doc/bin/pip install -e '.[security]'
75Obtaining file:///src
76Requirement already satisfied: requests>=2.20.0 in ./.tox/doc/lib/python3.5/site-packages (from pywikibot==3.0.20191205.dev0) (2.22.0)
77Requirement already satisfied: pycparser!=2.14 in ./.tox/doc/lib/python3.5/site-packages (from pywikibot==3.0.20191205.dev0) (2.19)
78Requirement already satisfied: idna<2.9,>=2.5 in ./.tox/doc/lib/python3.5/site-packages (from requests>=2.20.0->pywikibot==3.0.20191205.dev0) (2.8)
79Requirement already satisfied: certifi>=2017.4.17 in ./.tox/doc/lib/python3.5/site-packages (from requests>=2.20.0->pywikibot==3.0.20191205.dev0) (2019.11.28)
80Requirement already satisfied: chardet<3.1.0,>=3.0.2 in ./.tox/doc/lib/python3.5/site-packages (from requests>=2.20.0->pywikibot==3.0.20191205.dev0) (3.0.4)
81Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in ./.tox/doc/lib/python3.5/site-packages (from requests>=2.20.0->pywikibot==3.0.20191205.dev0) (1.25.7)
82Installing collected packages: pywikibot
83 Found existing installation: pywikibot 3.0.20191205.dev0
84 Uninstalling pywikibot-3.0.20191205.dev0:
85 Successfully uninstalled pywikibot-3.0.20191205.dev0
86 Running setup.py develop for pywikibot
87Successfully installed pywikibot
88WARNING: You are using pip version 19.1, however version 19.3.1 is available.
89You should consider upgrading via the 'pip install --upgrade pip' command.
90doc run-test: commands[1] | make html -C ./docs
91WARNING: test command found but not installed in testenv
92 cmd: /usr/bin/make
93 env: /src/.tox/doc
94Maybe you forgot to specify a dependency? See also the whitelist_externals envconfig setting.
95
96DEPRECATION WARNING: this will be an error in tox 4 and above!
97[205] /src$ /usr/bin/make html -C ./docs
98make: Entering directory '/src/docs'
99Running Sphinx v2.2.2
100making output directory... done
101building [mo]: all of 0 po files
102building [html]: all source files
103updating environment: [new config] 19 added, 0 changed, 0 removed
104reading sources... [ 5%] api_ref/index
105reading sources... [ 10%] api_ref/pywikibot
106Skipping loading of user-config.py.
107family and mylang are not set.
108Defaulting to family='test' and mylang='test'.
109reading sources... [ 15%] api_ref/pywikibot.comms
110reading sources... [ 21%] api_ref/pywikibot.data
111reading sources... [ 26%] api_ref/pywikibot.families
112reading sources... [ 31%] api_ref/pywikibot.tools
113reading sources... [ 36%] api_ref/pywikibot.userinterfaces
114reading sources... [ 42%] credits
115reading sources... [ 47%] getting_help
116reading sources... [ 52%] index
117reading sources... [ 57%] installation
118reading sources... [ 63%] library_usage
119reading sources... [ 68%] licenses
120reading sources... [ 73%] scripts/index
121reading sources... [ 78%] scripts/scripts
122reading sources... [ 84%] scripts/scripts.archive
123reading sources... [ 89%] scripts/scripts.i18n
124reading sources... [ 94%] scripts/scripts.maintenance
125reading sources... [100%] scripts/scripts.userscripts
126
127/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
128 return getattr(obj, name, *defargs)
129/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
130 return getattr(obj, name, *defargs)
131/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
132 return getattr(obj, name, *defargs)
133/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
134 return getattr(obj, name, *defargs)
135/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
136 return getattr(obj, name, *defargs)
137/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
138 return getattr(obj, name, *defargs)
139/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
140 return getattr(obj, name, *defargs)
141/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
142 return getattr(obj, name, *defargs)
143/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
144 return getattr(obj, name, *defargs)
145/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
146 return getattr(obj, name, *defargs)
147/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
148 return getattr(obj, name, *defargs)
149/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
150 return getattr(obj, name, *defargs)
151/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/inspect.py:230: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
152 return getattr(obj, name, *defargs)
153/src/.tox/doc/lib/python3.5/importlib/__init__.py:126: FutureWarning: weblib is deprecated for 4 years and 3 months; use memento_client package instead.
154 return _bootstrap._gcd_import(name[level:], package, level)
155/src/.tox/doc/lib/python3.5/site-packages/sphinx/util/__init__.py:325: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
156 value = getattr(value, attr)
157/src/scripts/archive/script_wui.py:121: FutureWarning: pywikibot.botirc.IRCBot is deprecated for 7 months and 1 day; use irc.bot.SingleServerIRCBot from irc library or EventStreams instead.
158 class ScriptWUIBot(pywikibot.botirc.IRCBot):
159WARNING: autodoc: failed to import module 'gui' from module 'pywikibot.userinterfaces'; the following exception was raised:
160No module named '_tkinter', please install the python3-tk package
161looking for now-outdated files... none found
162pickling environment... done
163checking consistency... done
164preparing documents... done
165writing output... [ 5%] api_ref/index
166writing output... [ 10%] api_ref/pywikibot
167writing output... [ 15%] api_ref/pywikibot.comms
168writing output... [ 21%] api_ref/pywikibot.data
169writing output... [ 26%] api_ref/pywikibot.families
170writing output... [ 31%] api_ref/pywikibot.tools
171writing output... [ 36%] api_ref/pywikibot.userinterfaces
172writing output... [ 42%] credits
173writing output... [ 47%] getting_help
174writing output... [ 52%] index
175writing output... [ 57%] installation
176writing output... [ 63%] library_usage
177writing output... [ 68%] licenses
178writing output... [ 73%] scripts/index
179writing output... [ 78%] scripts/scripts
180writing output... [ 84%] scripts/scripts.archive
181writing output... [ 89%] scripts/scripts.i18n
182writing output... [ 94%] scripts/scripts.maintenance
183writing output... [100%] scripts/scripts.userscripts
184
185generating indices... genindex py-modindexdone
186highlighting module code... [ 0%] namedtuple_ArgSpec
187highlighting module code... [ 1%] namedtuple_FullHistEntry
188highlighting module code... [ 1%] namedtuple_HistEntry
189highlighting module code... [ 2%] namedtuple_OnErrorExc
190highlighting module code... [ 3%] pywikibot
191highlighting module code... [ 3%] pywikibot.bot
192highlighting module code... [ 4%] pywikibot.bot_choice
193highlighting module code... [ 4%] pywikibot.botirc
194highlighting module code... [ 5%] pywikibot.comms.eventstreams
195highlighting module code... [ 6%] pywikibot.comms.http
196highlighting module code... [ 6%] pywikibot.comms.threadedhttp
197highlighting module code... [ 7%] pywikibot.config2
198highlighting module code... [ 7%] pywikibot.cosmetic_changes
199highlighting module code... [ 8%] pywikibot.daemonize
200highlighting module code... [ 9%] pywikibot.data.api
201highlighting module code... [ 9%] pywikibot.data.mysql
202highlighting module code... [ 10%] pywikibot.data.sparql
203highlighting module code... [ 10%] pywikibot.data.wikistats
204highlighting module code... [ 11%] pywikibot.date
205highlighting module code... [ 12%] pywikibot.diff
206highlighting module code... [ 12%] pywikibot.echo
207highlighting module code... [ 13%] pywikibot.editor
208highlighting module code... [ 13%] pywikibot.exceptions
209highlighting module code... [ 14%] pywikibot.families.commons_family
210highlighting module code... [ 15%] pywikibot.families.i18n_family
211highlighting module code... [ 15%] pywikibot.families.incubator_family
212highlighting module code... [ 16%] pywikibot.families.lyricwiki_family
213highlighting module code... [ 16%] pywikibot.families.mediawiki_family
214highlighting module code... [ 17%] pywikibot.families.meta_family
215highlighting module code... [ 18%] pywikibot.families.omegawiki_family
216highlighting module code... [ 18%] pywikibot.families.osm_family
217highlighting module code... [ 19%] pywikibot.families.outreach_family
218highlighting module code... [ 20%] pywikibot.families.species_family
219highlighting module code... [ 20%] pywikibot.families.test_family
220highlighting module code... [ 21%] pywikibot.families.vikidia_family
221highlighting module code... [ 21%] pywikibot.families.wikibooks_family
222highlighting module code... [ 22%] pywikibot.families.wikidata_family
223highlighting module code... [ 23%] pywikibot.families.wikimania_family
224highlighting module code... [ 23%] pywikibot.families.wikimediachapter_family
225highlighting module code... [ 24%] pywikibot.families.wikinews_family
226highlighting module code... [ 24%] pywikibot.families.wikipedia_family
227highlighting module code... [ 25%] pywikibot.families.wikiquote_family
228highlighting module code... [ 26%] pywikibot.families.wikisource_family
229highlighting module code... [ 26%] pywikibot.families.wikitech_family
230highlighting module code... [ 27%] pywikibot.families.wikiversity_family
231highlighting module code... [ 27%] pywikibot.families.wikivoyage_family
232highlighting module code... [ 28%] pywikibot.families.wiktionary_family
233highlighting module code... [ 29%] pywikibot.families.wowwiki_family
234highlighting module code... [ 29%] pywikibot.family
235highlighting module code... [ 30%] pywikibot.flow
236highlighting module code... [ 30%] pywikibot.i18n
237highlighting module code... [ 31%] pywikibot.interwiki_graph
238highlighting module code... [ 32%] pywikibot.logentries
239highlighting module code... [ 32%] pywikibot.logging
240highlighting module code... [ 33%] pywikibot.login
241highlighting module code... [ 33%] pywikibot.page
242highlighting module code... [ 34%] pywikibot.pagegenerators
243highlighting module code... [ 35%] pywikibot.site
244highlighting module code... [ 35%] pywikibot.site_detect
245highlighting module code... [ 36%] pywikibot.specialbots
246highlighting module code... [ 36%] pywikibot.textlib
247highlighting module code... [ 37%] pywikibot.throttle
248highlighting module code... [ 38%] pywikibot.titletranslate
249highlighting module code... [ 38%] pywikibot.tools
250highlighting module code... [ 39%] pywikibot.tools._logging
251highlighting module code... [ 40%] pywikibot.tools.chars
252highlighting module code... [ 40%] pywikibot.tools.djvu
253highlighting module code... [ 41%] pywikibot.tools.formatter
254highlighting module code... [ 41%] pywikibot.tools.ip
255highlighting module code... [ 42%] pywikibot.userinterfaces.cgi_interface
256highlighting module code... [ 43%] pywikibot.userinterfaces.terminal_interface_base
257highlighting module code... [ 43%] pywikibot.userinterfaces.terminal_interface_unix
258highlighting module code... [ 44%] pywikibot.userinterfaces.terminal_interface_win32
259highlighting module code... [ 44%] pywikibot.userinterfaces.transliteration
260highlighting module code... [ 45%] pywikibot.userinterfaces.win32_unicode
261highlighting module code... [ 46%] pywikibot.version
262highlighting module code... [ 46%] pywikibot.weblib
263highlighting module code... [ 47%] pywikibot.xmlreader
264highlighting module code... [ 47%] scripts.add_text
265highlighting module code... [ 48%] scripts.archive.featured
266highlighting module code... [ 49%] scripts.archive.script_wui
267highlighting module code... [ 49%] scripts.archivebot
268highlighting module code... [ 50%] scripts.basic
269highlighting module code... [ 50%] scripts.blockpageschecker
270highlighting module code... [ 51%] scripts.capitalize_redirects
271highlighting module code... [ 52%] scripts.casechecker
272highlighting module code... [ 52%] scripts.catall
273highlighting module code... [ 53%] scripts.category
274highlighting module code... [ 53%] scripts.category_redirect
275highlighting module code... [ 54%] scripts.cfd
276highlighting module code... [ 55%] scripts.checkimages
277highlighting module code... [ 55%] scripts.claimit
278highlighting module code... [ 56%] scripts.clean_sandbox
279highlighting module code... [ 56%] scripts.commons_link
280highlighting module code... [ 57%] scripts.commonscat
281highlighting module code... [ 58%] scripts.coordinate_import
282highlighting module code... [ 58%] scripts.cosmetic_changes
283highlighting module code... [ 59%] scripts.create_categories
284highlighting module code... [ 60%] scripts.data_ingestion
285highlighting module code... [ 60%] scripts.delete
286highlighting module code... [ 61%] scripts.disambredir
287highlighting module code... [ 61%] scripts.djvutext
288highlighting module code... [ 62%] scripts.editarticle
289highlighting module code... [ 63%] scripts.fixing_redirects
290highlighting module code... [ 63%] scripts.flickrripper
291highlighting module code... [ 64%] scripts.followlive
292highlighting module code... [ 64%] scripts.freebasemappingupload
293highlighting module code... [ 65%] scripts.harvest_template
294highlighting module code... [ 66%] scripts.illustrate_wikidata
295highlighting module code... [ 66%] scripts.image
296highlighting module code... [ 67%] scripts.imagecopy
297highlighting module code... [ 67%] scripts.imagecopy_self
298highlighting module code... [ 68%] scripts.imageharvest
299highlighting module code... [ 69%] scripts.imagerecat
300highlighting module code... [ 69%] scripts.imagetransfer
301highlighting module code... [ 70%] scripts.imageuncat
302highlighting module code... [ 70%] scripts.interwiki
303highlighting module code... [ 71%] scripts.interwikidata
304highlighting module code... [ 72%] scripts.isbn
305highlighting module code... [ 72%] scripts.listpages
306highlighting module code... [ 73%] scripts.login
307highlighting module code... [ 73%] scripts.lonelypages
308highlighting module code... [ 74%] scripts.maintenance.cache
309highlighting module code... [ 75%] scripts.maintenance.colors
310highlighting module code... [ 75%] scripts.maintenance.compat2core
311highlighting module code... [ 76%] scripts.maintenance.download_dump
312highlighting module code... [ 76%] scripts.maintenance.make_i18n_dict
313highlighting module code... [ 77%] scripts.maintenance.wikimedia_sites
314highlighting module code... [ 78%] scripts.makecat
315highlighting module code... [ 78%] scripts.match_images
316highlighting module code... [ 79%] scripts.misspelling
317highlighting module code... [ 80%] scripts.movepages
318highlighting module code... [ 80%] scripts.ndashredir
319highlighting module code... [ 81%] scripts.newitem
320highlighting module code... [ 81%] scripts.noreferences
321highlighting module code... [ 82%] scripts.nowcommons
322highlighting module code... [ 83%] scripts.pagefromfile
323highlighting module code... [ 83%] scripts.patrol
324highlighting module code... [ 84%] scripts.piper
325highlighting module code... [ 84%] scripts.protect
326highlighting module code... [ 85%] scripts.redirect
327highlighting module code... [ 86%] scripts.reflinks
328highlighting module code... [ 86%] scripts.replace
329highlighting module code... [ 87%] scripts.replicate_wiki
330highlighting module code... [ 87%] scripts.revertbot
331highlighting module code... [ 88%] scripts.selflink
332highlighting module code... [ 89%] scripts.shell
333highlighting module code... [ 89%] scripts.solve_disambiguation
334highlighting module code... [ 90%] scripts.spamremove
335highlighting module code... [ 90%] scripts.standardize_interwiki
336highlighting module code... [ 91%] scripts.states_redirect
337highlighting module code... [ 92%] scripts.surnames_redirects
338highlighting module code... [ 92%] scripts.table2wiki
339highlighting module code... [ 93%] scripts.template
340highlighting module code... [ 93%] scripts.templatecount
341highlighting module code... [ 94%] scripts.touch
342highlighting module code... [ 95%] scripts.transferbot
343highlighting module code... [ 95%] scripts.unlink
344highlighting module code... [ 96%] scripts.unusedfiles
345highlighting module code... [ 96%] scripts.upload
346highlighting module code... [ 97%] scripts.version
347highlighting module code... [ 98%] scripts.watchlist
348highlighting module code... [ 98%] scripts.weblinkchecker
349highlighting module code... [ 99%] scripts.welcome
350highlighting module code... [100%] scripts.wikisourcetext
351
352writing additional pages... searchdone
353copying static files... ... done
354copying extra files... done
355dumping search index in English (code: en)... done
356dumping object inventory... done
357build succeeded, 1 warning.
358
359The HTML pages are in _build/html.
360make: Leaving directory '/src/docs'
361doc run-test: commands[2] | rstcheck --recursive --report warning --ignore-directives automodule,autoclass,autofunction .
362[211] /src$ /src/.tox/doc/bin/rstcheck --recursive --report warning --ignore-directives automodule,autoclass,autofunction .
363___________________________________ summary ____________________________________
364 doc: commands succeeded
365 congratulations :)
366+ capture_tox_logs
367+ cp --recursive /src/.tox/doc/log/doc-0.log /src/.tox/doc/log/doc-1.log /src/.tox/doc/log/doc-2.log /src/.tox/doc/log/doc-3.log /log
368+ cp --recursive /src/.tox/log /log
369Waiting for the completion of publish-to-doc1001
370publish-to-doc1001 #43556 completed. Result was SUCCESS
371Build step 'Trigger/call builds on other projects' changed build result to SUCCESS
372[PostBuildScript] - [INFO] Executing post build scripts.
373Waiting for the completion of castor-save-workspace-cache
374castor-save-workspace-cache #905534 completed. Result was SUCCESS
375[PostBuildScript] - [INFO] Executing post build scripts.
376[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins4332411935425483608.sh
377+ echo 'Clearing /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/cache'
378Clearing /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/cache
379[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins3889624426354889773.sh
380++ pwd
381+ exec docker run --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish/cache:/cache --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.1 clear
382++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
383++ /usr/bin/env
384Archiving artifacts
385[PostBuildScript] - [INFO] Executing post build scripts.
386[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins4229102336285817975.sh
387+ set -euxo pipefail
388+ docker ps -q --filter label=jenkins.job=pywikibot-core-tox-publish --filter label=jenkins.build=1655
389+ xargs --no-run-if-empty docker stop
390[PostBuildScript] - [INFO] Executing post build scripts.
391[pywikibot-core-tox-publish] $ /bin/bash /tmp/jenkins7433037948718652819.sh
392+ exec docker run --user=root --volume /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish:/workspace --entrypoint=/usr/bin/find --init --rm --label jenkins.job=pywikibot-core-tox-publish --label jenkins.build=1655 --env-file /dev/fd/63 docker-registry.wikimedia.org/wikimedia-stretch:latest /workspace -mindepth 1 -delete
393++ /usr/bin/env
394++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
395[pywikibot-core-tox-publish] $ /bin/bash -xe /tmp/jenkins530483983349020109.sh
396+ set -u
397+ rmdir /srv/jenkins/workspace/workspace/pywikibot-core-tox-publish
398Finished: SUCCESS

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Dvorapa renamed this task from Pywikibot documentation build throws too many warnings to console to Pywikibot documentation build throws too many warnings to console (goal).May 29 2018, 11:19 AM

https://gerrit.wikimedia.org/r/#/c/pywikibot/core/+/443761/ fixed some of the "more than one target found for cross-reference" warnings

Change 443918 had a related patch set uploaded (by Dalba; owner: dalba):
[pywikibot/core@master] site.py: Improve type hints

https://gerrit.wikimedia.org/r/443918

Change 443918 merged by jenkins-bot:
[pywikibot/core@master] site.py: Improve type hints

https://gerrit.wikimedia.org/r/443918

Change 444423 had a related patch set uploaded (by Dalba; owner: dalba):
[pywikibot/core@master] Fix inline substitution_reference start-string without end-string warning

https://gerrit.wikimedia.org/r/444423

Change 444423 abandoned by Dalba:
Fix inline substitution_reference start-string without end-string warning

Reason:
not ready, submitted by mistake

https://gerrit.wikimedia.org/r/444423

Change 458821 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [bugfix] Fix doc error introduced in cca2d26a97f5

https://gerrit.wikimedia.org/r/458821

Change 458821 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Fix doc error introduced in cca2d26a97f5

https://gerrit.wikimedia.org/r/458821

Change 463234 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [bugfix] Fix doc errors introduced in b686ea35fea2 and e6ed12025dc1

https://gerrit.wikimedia.org/r/463234

Change 463234 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Fix doc errors introduced in b686ea35fea2 and e6ed12025dc1

https://gerrit.wikimedia.org/r/463234

WARNING: invalid signature for automethod ('tests.page_tests::TestFilePage.test_globalusage_commons:commons') in tests/page_tests.py

@Xqt, @Dalba: How and where unittest module creates test names? Sometimes it makes test names like test_something_pt-br or test_something_commons:commons. These are valid function names in Python, but invalid in Sphinx:Autodoc (contain invalid characters -:). I solved it in some scripts partially like this, but for example in tests/page_tests.py it just can't be done like this and I don't know, where to fix it for these files.

They are created by a meta class during executing test scripts. There are variant keys mostly a site code and one created method is for one key/site only. This is a common way to have many small tests instead of one big on and it is easier to investigate into issues when a test fails.

Anyway why is this related to docs. These methods are created during runtime and shouldn’t be listed in any documentation.

They are created by a meta class during executing test scripts. There are variant keys mostly a site code and one created method is for one key/site only. This is a common way to have many small tests instead of one big on and it is easier to investigate into issues when a test fails.

Anyway why is this related to docs. These methods are created during runtime and shouldn’t be listed in any documentation.

I see. There are two problems with them right now:

  • Autodoc runs the code to find out all the methods, even those created during runtime. Therefore the docs are full of these methods without any description.
  • Some of these methods apparently does not use the metaclass, because the metaclass already contains a fix. For example the test I mentioned above (1) is not fixed by the fix in the metaclass, therefore I had to add the fix (replacing - by _) right into the test.

Change 463423 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [bugfix] Fix doc error in page_tests.py

https://gerrit.wikimedia.org/r/463423

Change 463423 merged by jenkins-bot:
[pywikibot/core@master] [bugfix] Fix doc error in page_tests.py

https://gerrit.wikimedia.org/r/463423

Anyway why is this related to docs. These methods are created during runtime and shouldn’t be listed in any documentation.

Why must tests be documented by sphinx, at all? It's fine for docstrings, but generating to html makes no sense to me since it's not part of our public API for public consumption.

  • Some of these methods apparently does not use the metaclass, because the metaclass already contains a fix. For example the test I mentioned above (1) is not fixed by the fix in the metaclass, therefore I had to add the fix (replacing - by _) right into the test.

@Xqt At least l10n_tests.py and plural_tests.py does not use the metaclass.

Anyway why is this related to docs. These methods are created during runtime and shouldn’t be listed in any documentation.

Why must tests be documented by sphinx, at all? It's fine for docstrings, but generating to html makes no sense to me since it's not part of our public API for public consumption.

You both agree to exclude tests from docs and @Dalba in 463061 also agree. Let's remove tests from docs completely

Change 463598 had a related patch set uploaded (by Dalba; owner: dalba):
[pywikibot/core@master] Remove tests package from docs

https://gerrit.wikimedia.org/r/463598

Change 463598 merged by jenkins-bot:
[pywikibot/core@master] Remove tests package from docs

https://gerrit.wikimedia.org/r/463598

Change 509432 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [doc] Fix errors and warnings in script_wui.py documentation

https://gerrit.wikimedia.org/r/509432

Change 509479 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [doc] Improve docs and fix some doc warnings

https://gerrit.wikimedia.org/r/509479

Change 509479 merged by jenkins-bot:
[pywikibot/core@master] [doc] Improve docs and fix some doc warnings

https://gerrit.wikimedia.org/r/509479

Change 509583 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [doc] Skip _tkinter dependency for docs

https://gerrit.wikimedia.org/r/509583

Change 509432 merged by jenkins-bot:
[pywikibot/core@master] [doc] Fix errors and warnings in script_wui.py documentation

https://gerrit.wikimedia.org/r/509432

Change 509583 abandoned by Dvorapa:
[doc] Skip _tkinter dependency for docs

Reason:
Not enough experiences to make it work

https://gerrit.wikimedia.org/r/509583

Change 509584 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [doc] Remove anchor duplicate to heading

https://gerrit.wikimedia.org/r/509584

Dvorapa renamed this task from Pywikibot documentation build throws too many warnings to console (goal) to Pywikibot documentation build throws many warnings to console.May 11 2019, 11:37 AM
Dvorapa lowered the priority of this task from Medium to Low.
Dvorapa updated the task description. (Show Details)
Dvorapa updated the task description. (Show Details)

Change 509584 merged by jenkins-bot:
[pywikibot/core@master] [doc] Remove anchor duplicate to heading

https://gerrit.wikimedia.org/r/509584

Morgan11235 added subscribers: mstucky, Morgan11235.

Going to try to make progress on this one with my teammate @mstucky

Going to try to make progress on this one with my teammate @mstucky

Great!

Change 552684 had a related patch set uploaded (by Mph8318; owner: Mph8318):
[pywikibot/core@master] component: fix docstrings to avoid warnings

https://gerrit.wikimedia.org/r/552684

Change 552684 merged by jenkins-bot:
[pywikibot/core@master] component: fix docstrings to avoid warnings

https://gerrit.wikimedia.org/r/552684

Change 555028 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [WIP] Remove deprecated stuff from docs

https://gerrit.wikimedia.org/r/555028

@hashar Could you please help with

08:36:55 WARNING: test command found but not installed in testenv
08:36:55   cmd: /usr/bin/make
08:36:55   env: /src/.tox/doc
08:36:55 Maybe you forgot to specify a dependency? See also the whitelist_externals envconfig setting.
08:36:55 
08:36:55 DEPRECATION WARNING: this will be an error in tox 4 and above!

?

This warning still occurs in doc tests and I'm unable to find out, what does it mean and how to fix it. That's why there was Continuous-Integration-Config tag

Change 555028 merged by jenkins-bot:
[pywikibot/core@master] [docs] Remove deprecated stuff from docs

https://gerrit.wikimedia.org/r/555028

@hashar Could you please help with

08:36:55 WARNING: test command found but not installed in testenv
08:36:55   cmd: /usr/bin/make
08:36:55   env: /src/.tox/doc
08:36:55 Maybe you forgot to specify a dependency? See also the whitelist_externals envconfig setting.
08:36:55 
08:36:55 DEPRECATION WARNING: this will be an error in tox 4 and above!

This warning still occurs in doc tests and I'm unable to find out, what does it mean and how to fix it. That's why there was Continuous-Integration-Config tag

tox complains because one of the commands comes from outside the virtual env. In this case make. In tox.ini the doc environment is defined as:

tox.ini
[testenv:doc]
commands =
    pip install -e .[security]
    make html -C ./docs
    rstcheck --recursive --report warning --ignore-directives automodule,autoclass,autofunction .
basepython = python3.4
deps =
    -rrequirements.txt
    -rdocs/requirements-py3.txt
    rstcheck >= 3.3.1

make html -C ./docs has been generated by Sphinx which is merely an helper to run the sphinx-build command. When it is running, you should see the full command being used which you can use instead of the make one.

Or use something like: python setup.py build_sphinx -b html

commands = pip install -e .[security]

Unrelated, but I wonder why one has to reinstall those dependencies on every run and why it is in editable mode. Probably that command should be dropped and one can instead use:

deps = .[security]

@hashar Thank you very much!

Unrelated, but I wonder why ...

Yes, this looks reasonable :)

Change 555650 had a related patch set uploaded (by Dvorapa; owner: Dvorapa):
[pywikibot/core@master] [docs] Fix warning about missing _tkinter

https://gerrit.wikimedia.org/r/555650

Change 555650 abandoned by Dvorapa:
[docs] Fix warning about missing _tkinter

Reason:
Does not work as expected :/

https://gerrit.wikimedia.org/r/555650

Dvorapa closed this task as Resolved.EditedDec 7 2019, 12:49 PM

There is only 1 warning left, for which I'll create a new task. After that last one solved we can change doctest to "rejective" (warnings will become errors). Thank you all who participated for your work!